DELETE /api/fleet/epm/packages/{pkgName}

Spaces method and path for this operation:

delete /s/{space_id}/api/fleet/epm/packages/{pkgName}

Refer to Spaces for more information.

Uninstall a package and remove all its assets.

[Required authorization] Route required privileges: integrations-all AND fleet-agent-policies-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • pkgName string Required

Query parameters

  • force boolean

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • items array[object] Required

      Not more than 10000 elements.

      Any of:
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
DELETE /api/fleet/epm/packages/{pkgName}
curl \
 --request DELETE 'https://<KIBANA_URL>/api/fleet/epm/packages/{pkgName}' \
 --header "Authorization: $API_KEY" \
 --header "kbn-xsrf: true"
Response examples (200)
Package successfully deleted
{
  "items": [
    {
      "id": "aws-logs-aws.cloudwatch_logs-default",
      "type": "index_template"
    }
  ]
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}